TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
TIBCO.EMS.EMSSSLHostNameVerifierArgs Class Reference

Specifies the host name verifier arguments More...

Inherits EventArgs.

## Public Member Functions
| EMSSSLHostNameVerifierArgs (String connectedHostName, String targetHostName, string certificateCommonName, X509Certificate serverCertificate, X509Chain chain)
| constructor for EMSSSLHostNameVerifierArgs More...

## Public Attributes
string | m_connectedHostName = null
| The host name to which the client is connected to More...
string | m_targetHostName = null
| The targetHostName (which is actually the server certficiate CN name) More...
string | m_certificateCommonName = null
| The certificate CN name, should be same as the target hostname More...
X509Certificate | m_serverCertificate = null
| the server's certificate More...
X509Chain | m_x509Chain = null
| The server certificate's chain More...

## Detailed Description

Specifies the host name verifier arguments

The client is handed off an EMSSSLHostNameVerifierArgs object as part of the host name verifier event callback, LdapLookupSSLParams.SetSSLVerifyServerCertificateCallback.

## Constructor & Destructor Documentation

TIBCO.EMS.EMSSSLHostNameVerifierArgs.EMSSSLHostNameVerifierArgs | ( | String | connectedHostName,
|  | String | targetHostName,
|  | string | certificateCommonName,
|  | X509Certificate | serverCertificate,
|  | X509Chain | chain
| ) |  |
| inline

constructor for EMSSSLHostNameVerifierArgs

## Member Data Documentation

string TIBCO.EMS.EMSSSLHostNameVerifierArgs.m_certificateCommonName = null

The certificate CN name, should be same as the target hostname

string TIBCO.EMS.EMSSSLHostNameVerifierArgs.m_connectedHostName = null

The host name to which the client is connected to

X509Certificate TIBCO.EMS.EMSSSLHostNameVerifierArgs.m_serverCertificate = null

the server's certificate

string TIBCO.EMS.EMSSSLHostNameVerifierArgs.m_targetHostName = null

The targetHostName (which is actually the server certficiate CN name)

X509Chain TIBCO.EMS.EMSSSLHostNameVerifierArgs.m_x509Chain = null

The server certificate's chain